Bug 734416 - SwapError: swapoff failed for '/dev/mapper/vg_kvmfedoratesting-lv_swap'
Summary: SwapError: swapoff failed for '/dev/mapper/vg_kvmfedoratesting-lv_swap'
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e14e0ed132c4054ecd287597808...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 10:19 UTC by Akira TAGOH
Modified: 2011-09-05 19:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-05 19:19:23 UTC


Attachments (Terms of Use)
/tmp/anaconda-tb-* (958.76 KB, text/plain)
2011-08-31 01:09 UTC, Akira TAGOH
no flags Details

Description Akira TAGOH 2011-08-30 10:19:54 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: anaconda
kernel:         3.1.0-0.rc3.git0.0.fc16.x86_64
product:        Fedora
reason:         SwapError: swapoff failed for '/dev/mapper/vg_kvmfedoratesting-lv_swap'
time:           Tue Aug 30 19:18:02 2011
version:        16

description:
:The following was filed automatically by anaconda:
:anaconda 16.14.6 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicelibs/swap.py", line 101, in swapoff
:    raise SwapError("swapoff failed for '%s'" % device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/swap.py", line 143, in teardown
:    swap.swapoff(self.device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 477, in __init__
:    device.format.teardown()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 915, in destroyDevice
:    self.devicetree.registerAction(ActionDestroyFormat(device))
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/partitioning.py", line 450, in clearPartitions
:    storage.destroyDevice(leaf)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/partitioning.py", line 259, in doAutoPartition
:    clearPartitions(anaconda.storage, bootloader=anaconda.bootloader)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 348, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 235, in go_forward
:    self.dispatch()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1198, in nextClicked
:    self.anaconda.dispatch.go_forward()
:SwapError: swapoff failed for '/dev/mapper/vg_kvmfedoratesting-lv_swap'

Comment 1 David Lehman 2011-08-30 13:48:55 UTC
Please attach the file matching /tmp/anaconda-tb-* to this bug report.

Comment 2 Akira TAGOH 2011-08-31 01:09:30 UTC
Created attachment 520715 [details]
/tmp/anaconda-tb-*

Sorry, here you are. FWIW I saw this on liveinst from http://alt.fedoraproject.org/pub/alt/stage/f16-translation/Fedora-16-Nightly-20110828.10-x86_64-Live-desktop.iso

Comment 3 David Lehman 2011-08-31 16:45:20 UTC
Your system is running out of memory. The kernel oom-killer is killing processes to get total memory usage within limits and has killed the swapoff process, along with several others.

Comment 4 Chris Lumens 2011-09-05 19:19:23 UTC
We should be able to fix this up by decreasing memory usage via the lorax treebuilder branch, but there's nothing in anaconda we can do in the most general case for OOM problems.


Note You need to log in before you can comment on or make changes to this bug.